.TH xsquig 1 "04 November 1993"
.SH NAME
xsquig - display squiggley tubular patterns in the X11 root window
.SH SYNOPSIS
.B xsquig
.RB [ -display
.IR d ]
.RB [ -maxcolors
.IR n ]
.RB [ -loops
.IR n ]
.RB [ -id ]
.SH DESCRIPTION
.PP
.I Xsquig
displays squiggley tubular patterns in the root window.
.PP
The original version of this program was Sun-specific, and wrote directly
to the screen.
It ran at a respectable speed on a SPARCstation 1.
This version, going through all the layers of X and having to move about
a hundred times more pixels because X can't efficiently draw a list of
points of different colors, is too slow even on a SPARCstation 10.
Maybe next year.
Meanwhile, if you have a Sun and want to see how fast the original
version runs, fetch netcom.com:pub/jef/raster-pixrect.tar.Z and build
"squig".
.SH OPTIONS
.PP
.I Xsquig
accepts all the usual X flags and resources, such as
.BR -display ,
.BR -sync ,
and
.BR -xrm .
.PP
.I Xsquig
also accepts the following flags:
.TP
.B -maxcolors
Specifies the maximum number of colormap entries that will be used.
If this many are not available, fewer will be used, but if more than
this many are available they will be left free for other applications.
X resource:
.BR maxcolors .
Default: 256.
.TP
.B -loops
Specifies the desired number of loops per second.
.I Xsquig
attempts to maintain this speed by adaptively varying the duration
and freqency of sleeps.
If your X server is not capable of the requested speed, it will do the
best it can.
X resource:
.BR loops .
Default: 20.
.TP
.B -id
Forks a background process and prints the process-id to stdout.
Useful if you want to make a menu command to kill
.IR xsquig .
X resource:
.BR id .
Default: off.
.SH "SEE ALSO"
.IR xsetroot (1),
.IR xsplinefun (1).
.SH AUTHOR
Copyright (C) 1990, 1992, 1993 by Jef Poskanzer
.\" Permission to use, copy, modify, and distribute this software and its
.\" documentation for any purpose and without fee is hereby granted, provided
.\" that the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.  This software is provided "as is" without express or
.\" implied warranty.
